### Method

# Qmi MessageWmsSetRoutesInput set_route_list_gir

since: 1.32

#### Declaration [src]

    gboolean
    qmi_message_wms_set_routes_input_set_route_list_gir (
      QmiMessageWmsSetRoutesInput* self,
      GPtrArray* value_route_list_ptr,
      GError** error
    )

#### Description [src]

Set the ‘Route List’ field in the message.

Available since: 1.32

This method is renamed to `qmi_message_wms_set_routes_input_set_route_list()` in language bindings.

#### Parameters

`value_route_list_ptr`

  Type: An array of `None`

  Array of `QmiMessageWmsSetRoutesInputRouteListElement` elements. The contents of the given array will be copied, the `GPtrArray` will not increase its reference count.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.